nl.tudelft.simulation.dsol.tutorial.section41

## Class MM1Queue41Model

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.section41.MM1Queue41Model

All Implemented Interfaces:
  Serializable, DSOLModel<Double,Double,SimTimeDouble>, DSOLModel.TimeDouble

    public class MM1Queue41Model
    extends Object
    implements DSOLModel.TimeDouble

The M/M/1 example as published in Simulation Modeling and Analysis by A.M. Law & W.D. Kelton section 1.4 and 2.4.

Copyright (c) 2002-2018 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface nl.tudelft.simulation.dsol.DSOLModel

`DSOLModel.CalendarDouble, DSOLModel.CalendarFloat, DSOLModel.CalendarLong, DSOLModel.TimeDouble, DSOLModel.TimeDoubleUnit, DSOLModel.TimeFloat, DSOLModel.TimeFloatUnit, DSOLModel.TimeLong`

### Field Summary

Fields
`(package private) Tally<Double,Double,SimTimeDouble>` `dN` tally dN.
`(package private) Tally<Double,Double,SimTimeDouble>` `qN` tally qN.
`(package private) Utilization<Double,Double,SimTimeDouble>` `uN` utilization uN.

### Constructor Summary

Constructors
Constructor and Description
`MM1Queue41Model()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `constructModel(SimulatorInterface<Double,Double,SimTimeDouble> simulator)`
`SimulatorInterface.TimeDouble` `getSimulator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dN

    Tally<Double,Double,SimTimeDouble> dN

tally dN.

#### qN

    Tally<Double,Double,SimTimeDouble> qN

tally qN.

#### uN

    Utilization<Double,Double,SimTimeDouble> uN

utilization uN.

### Constructor Detail

#### MM1Queue41Model

    public MM1Queue41Model()

### Method Detail

#### constructModel

    public final void constructModel(SimulatorInterface<Double,Double,SimTimeDouble> simulator)
                              throws SimRuntimeException

Specified by:
  `constructModel` in interface `DSOLModel<Double,Double,SimTimeDouble>`
Throws:
  `SimRuntimeException`

#### getSimulator

    public final SimulatorInterface.TimeDouble getSimulator()

Specified by:
  `getSimulator` in interface `DSOLModel<Double,Double,SimTimeDouble>`